JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
// Clear HTTP proxy
await box.proxy.clear();
console.log("HTTP proxy set successfully");
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create Android box
box = gbox_sdk.create(type="android")
# Clear HTTP proxy
box.proxy.clear()
print("HTTP proxy cleared successfully")
if __name__ == "__main__":
main()curl --request DELETE \
--url https://gbox.ai/api/v1/boxes/{boxId}/proxy \
--header 'Authorization: Bearer <token>'Box
Clear proxy
Clears the HTTP proxy for the box
DELETE
/
boxes
/
{boxId}
/
proxy
JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
// Clear HTTP proxy
await box.proxy.clear();
console.log("HTTP proxy set successfully");
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create Android box
box = gbox_sdk.create(type="android")
# Clear HTTP proxy
box.proxy.clear()
print("HTTP proxy cleared successfully")
if __name__ == "__main__":
main()curl --request DELETE \
--url https://gbox.ai/api/v1/boxes/{boxId}/proxy \
--header 'Authorization: Bearer <token>'Authorizations
Enter your API Key in the format: Bearer . Get it from https://gbox.ai
Path Parameters
Box ID
Example:
"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"
Response
200
Proxy cleared
Was this page helpful?